package com.stmatthews.hospital.facilities;

public class TemperatureSensor {
    private String sensorId;
    private String clusterId;
    private float baseTemperature;
    private float range;
    private boolean broken;

    public TemperatureSensor(String sensorId, String clusterId,
                             float baseTemperature, float range) {
      super();
      this.sensorId = sensorId;
      this.clusterId = clusterId;
      this.baseTemperature = baseTemperature;
      this.range = range;
      this.broken = false;
    }

    public void setSensorId(String sensorId) {
      this.sensorId = sensorId;
    }

    public String getSensorId() {
      return sensorId;
    }

    public void setClusterId(String clusterId) {
      this.clusterId = clusterId;
    }

    public String getClusterId() {
      return clusterId;
    }

    public void setBaseTemperature(float baseTemperature) {
      this.baseTemperature = baseTemperature;
    }

    public float getBaseTemperature() {
      return baseTemperature;
    }

    public void setRange(float range) {
      this.range = range;
    }

    public float getRange() {
      return range;
    }

    public void setBroken(boolean broken) {
      this.broken = broken;
    }

    public boolean isBroken() {
      return broken;
    }

}
